summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPete Batard <pete@akeo.ie>2012-05-02 12:06:36 +0100
committerPete Batard <pete@akeo.ie>2012-05-02 12:06:36 +0100
commitae1124c112c88e807fb5f500846c9b12ea882122 (patch)
treea9cb78a3c74fe9473b0759278fe77dc4b63c1cd7
parentec1cc1cc5c2766c802cfb326636687c0a9459e0b (diff)
downloadlibusbx-ae1124c112c88e807fb5f500846c9b12ea882122.tar.gz
Autotools: Add bootstrap.sh
bootstrap.sh does not invoke configure whereas autogen.sh does. This allows libusbx users to choose the one that suits them best.
-rwxr-xr-xautogen.sh17
-rwxr-xr-xbootstrap.sh17
-rw-r--r--libusb/version.h2
3 files changed, 19 insertions, 17 deletions
diff --git a/autogen.sh b/autogen.sh
index 782bec7..5872540 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,18 +1,3 @@
#!/bin/sh
-
-# use libtoolize if available, otherwise look for glibtoolize (darwin)
-if (libtoolize --version) < /dev/null > /dev/null 2>&1; then
- LIBTOOLIZE=libtoolize
-elif (glibtoolize --version) < /dev/null > /dev/null 2>&1; then
- LIBTOOLIZE=glibtoolize
-else
- echo "libtoolize or glibtoolize was not found! Please install libtool."
- exit
-fi
-
-$LIBTOOLIZE --copy --force || exit 1
-aclocal || exit 1
-autoheader || exit 1
-autoconf || exit 1
-automake -a -c || exit 1
+source ./bootstrap.sh
./configure --enable-maintainer-mode --enable-examples-build $*
diff --git a/bootstrap.sh b/bootstrap.sh
new file mode 100755
index 0000000..3e9574a
--- /dev/null
+++ b/bootstrap.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+# use libtoolize if available, otherwise look for glibtoolize (darwin)
+if (libtoolize --version) < /dev/null > /dev/null 2>&1; then
+ LIBTOOLIZE=libtoolize
+elif (glibtoolize --version) < /dev/null > /dev/null 2>&1; then
+ LIBTOOLIZE=glibtoolize
+else
+ echo "libtoolize or glibtoolize was not found! Please install libtool."
+ exit
+fi
+
+$LIBTOOLIZE --copy --force || exit 1
+aclocal || exit 1
+autoheader || exit 1
+autoconf || exit 1
+automake -a -c || exit 1
diff --git a/libusb/version.h b/libusb/version.h
index 3862ed5..5fd6719 100644
--- a/libusb/version.h
+++ b/libusb/version.h
@@ -9,7 +9,7 @@
#define LIBUSB_MICRO 10
#endif
#ifndef LIBUSB_NANO
-#define LIBUSB_NANO 10486
+#define LIBUSB_NANO 10487
#endif
/* LIBUSB_RC is the release candidate suffix. Should normally be empty. */
#ifndef LIBUSB_RC